Skip to main content
`Ctrl`+`K`

# TaoADMMSetRegularizerType

Set regularizer type for `TAOADMM` routine

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerType(Tao tao, TaoADMMRegularizerType type)

Not Collective

## Input Parameters

- tao - the `Tao` context

- type - regularizer type

## Options Database Key

- -tao_admm_regularizer_type (regularizer_user|regularizer_soft_thresh) - select the regularizer

## See Also

`TaoADMMGetRegularizerType()`, `TaoADMMRegularizerType`, `TAOADMM`

## Level

intermediate

## Location

src/tao/constrained/impls/admm/admm.c

## Implementations

TaoADMMSetRegularizerType_ADMM() in src/tao/constrained/impls/admm/admm.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages